diff --git a/src/libffmpeg/Makefile.am b/src/libffmpeg/Makefile.am
--- a/src/libffmpeg/Makefile.am
+++ b/src/libffmpeg/Makefile.am
@@ -1,6 +1,4 @@ include $(top_srcdir)/misc/Makefile.comm
 include $(top_srcdir)/misc/Makefile.common
-
-DEFAULT_INCLUDES = -I.
 
 if HAVE_FFMPEG
 AM_CFLAGS = $(FFMPEG_CFLAGS) $(FFMPEG_POSTPROC_CFLAGS)
@@ -15,6 +13,8 @@ SUBDIRS = libavcodec libavutil
 SUBDIRS = libavcodec libavutil
 endif
 
+DEFAULT_INCLUDES = $(ff_cppflags) -I.
+
 # ffmpeg_config.h is generated by configure
 DISTCLEANFILES = ffmpeg_config.h
 
@@ -26,13 +26,12 @@ xineplug_LTLIBRARIES = xineplug_decode_f
 xineplug_LTLIBRARIES = xineplug_decode_ff.la xineplug_decode_dvaudio.la
 
 if HAVE_DXR3
-AM_CPPFLAGS = -I$(top_srcdir)/src/dxr3 $(X_CFLAGS) $(ff_cppflags) \
-              $(ZLIB_CPPFLAGS)
+AM_CPPFLAGS = -I$(top_srcdir)/src/dxr3 $(X_CFLAGS) $(ZLIB_CPPFLAGS)
 xineplug_decode_ff_la_SOURCES = ffmpeg_decoder.c ff_audio_decoder.c ff_video_decoder.c \
                                 ffmpeg_encoder.c ff_mpeg_parser.c ffmpeg_decoder.h \
 				ff_mpeg_parser.h
 else
-AM_CPPFLAGS = $(ff_cppflags) $(ZLIB_CPPFLAGS)
+AM_CPPFLAGS = $(ZLIB_CPPFLAGS)
 xineplug_decode_ff_la_SOURCES = ffmpeg_decoder.c ff_audio_decoder.c ff_video_decoder.c \
                                 ff_mpeg_parser.c ffmpeg_decoder.h ff_mpeg_parser.h
 endif
diff --git a/src/libffmpeg/ff_audio_decoder.c b/src/libffmpeg/ff_audio_decoder.c
--- a/src/libffmpeg/ff_audio_decoder.c
+++ b/src/libffmpeg/ff_audio_decoder.c
@@ -41,7 +41,7 @@
 #include "xine_internal.h"
 #include "buffer.h"
 #include "xineutils.h"
-#include "bswap.h"
+#include "../xine-engine/bswap.h"
 #include "ffmpeg_decoder.h"
 
 #define AUDIOBUFSIZE (64 * 1024)
diff --git a/src/libffmpeg/ff_video_decoder.c b/src/libffmpeg/ff_video_decoder.c
--- a/src/libffmpeg/ff_video_decoder.c
+++ b/src/libffmpeg/ff_video_decoder.c
@@ -39,7 +39,7 @@
 #define LOG
 */
 #include "xine_internal.h"
-#include "bswap.h"
+#include "../xine-engine/bswap.h"
 #include "buffer.h"
 #include "xineutils.h"
 #include "ffmpeg_decoder.h"
